Test::Set::CountableSetValues Class Reference

Value iterator producing subsets of an IntSet. More...

`#include <set.hh>`

## Public Member Functions

| CountableSetValues (void)
| Default constructor.
| CountableSetValues (const Gecode::IntSet &d0, int cur0)
| Initialize with set d0 and bit-pattern cur0.
void | init (const Gecode::IntSet &d0, int cur0)
| Initialize with set d0 and bit-pattern cur0.
bool | operator() (void) const
| Test if finished.
void | operator++ (void)
| Move to next value.
int | val (void) const
| Return current value.

## Detailed Description

Value iterator producing subsets of an IntSet.

Definition at line 60 of file set.hh.

## Constructor & Destructor Documentation

## CountableSetValues() [1/2]

Test::Set::CountableSetValues::CountableSetValues | ( | void |  | ) |

inline

Default constructor.

Definition at line 67 of file set.hh.

## CountableSetValues() [2/2]

Test::Set::CountableSetValues::CountableSetValues | ( | const Gecode::IntSet & | d0,
|  | int | cur0 )

inline

Initialize with set d0 and bit-pattern cur0.

Definition at line 69 of file set.hh.

## Member Function Documentation

## init()

void Test::Set::CountableSetValues::init | ( | const Gecode::IntSet & | d0,
|  | int | cur0 )

inline

Initialize with set d0 and bit-pattern cur0.

Definition at line 75 of file set.hh.

## operator()()

bool Test::Set::CountableSetValues::operator() | ( | void |  | ) | const

inline

Test if finished.

Definition at line 83 of file set.hh.

## operator++()

void Test::Set::CountableSetValues::operator++ | ( | void |  | ) |

inline

Move to next value.

Definition at line 87 of file set.hh.

## val()

int Test::Set::CountableSetValues::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 94 of file set.hh.

The documentation for this class was generated from the following file:

- test/set.hh